/* $Id: hashalg.h 6880 2023-10-22 07:57:08Z aron $ */

#ifndef WELLTYPE_HASHALG_H
#define WELLTYPE_HASHALG_H

#define WTBHA_CRC16CCITT   0x0016 /* CRC-16-CCITT checksum */
#define WTBHA_CRC32        0x0032 /* CRC-32 checksum */
#define WTBHA_BLAKE2_256   0x0101 /* BLAKE2, 256 bit digest */
#define WTBHA_BLAKE2_384   0x0102 /* BLAKE2, 384 bit digest */
#define WTBHA_BLAKE2_512   0x0103 /* BLAKE2, 512 bit digest */
#define WTBHA_SHA2_256     0x0201 /* SHA-2, 256 bit digest */
#define WTBHA_SHA2_384     0x0202 /* SHA-2, 384 bit digest */
#define WTBHA_SHA2_512     0x0203 /* SHA-2, 512 bit digest */
#define WTBHA_SHA3_64      0x0301 /* SHA-3, 64 bit digest */
#define WTBHA_SHA3_128     0x0302 /* SHA-3, 128 bit digest */
#define WTBHA_SHA3_256     0x0303 /* SHA-3, 256 bit digest */
#define WTBHA_SHA3_384     0x0304 /* SHA-3, 384 bit digest */
#define WTBHA_SHA3_512     0x0305 /* SHA-3, 512 bit digest */

#endif /* WELLTYPE_HASHALG_H */
